@import url('https://fonts.googleapis.com/css2?family=Open+Sans+Condensed:wght@300&display=swap');


* {
  box-sizing: border-box;
  margin : 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: Helvetica, Arial, sans-serif;
  background: #f0f0ff;
  overflow-x: hidden;
}

:root {
  --darkgrey: #212329;
  --brightred: #f9423d;
  --lightred: #f9433dcc;
  --sndblue: #6c63ff;
}

.nav-container {
  width: 100%;
  background-color: var(--sndblue);
  position: fixed;
  z-index: 1;
}

.navbar {
  display: grid;
  grid-template-columns: 0.2fr auto 1fr;
  align-items: center;
  width: 100%;
  max-width: 1720px;
  margin: 0 auto;
  position: fixed;
  background: var(--sndblue);
}

#nav {
  height: 80px;
  transition: 0.4s ease-in-out;
}

#navbar-logo {
  font-family: open sans condensed, Arial, sans-serif;
  color: #fff;
  margin-left: 50px;
  /* width: 50px;
  height: 50px; */
  letter-spacing: 3px;
  justify-self: start;
  cursor: pointer;
}

#navbar-logo a {
  text-decoration: none;
  color: inherit;
}

.nav-menu {
  display: grid;
  grid-template-columns: repeat(5, auto);
  list-style: none;
  text-align: center;
  width: 70%;
  justify-self: end;
}

.nav-links {
  color: #fff;
  text-decoration: none;
  transition: 0.5s ease-in-out;
}

.nav-links:hover {
  color: #aaa;
  transition: all 0.2s ease-out;
}

.menu-toggle .bar {
  width: 25px;
  height: 3px;
  margin: 5px auto;
  transition: 0.3s all ease-out;
  background: #fff;
}

.carousel {
  position: relative;
  height: 100vh;
  width: 100vw;
}

.slides {
  height: 100%;
  width: 100%;
  position: relative;
}

.slide {
  position: absolute;
  color: var(--sndblue);
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  font-size: 50px;
  line-height: 400px;
  text-align: center;
  opacity: 0;
  transition: opacity 2000ms;
  font-family: open sans condensed, Helvetica, sans-serif;
}

.slide h2 {
  margin-top: 1em;
}

#first {
  color: #fff;
}

.slide:nth-child(1) {
    background: url('./img/cctv-building.jpg') no-repeat 50% ;
    background-size: cover;
    opacity: 1;
}

.slide:nth-child(2) {
    background: url('./img/garage.png') no-repeat 50% ;
    background-size: cover;
}

.slide:nth-child(3) {
    background: url('./img/white-door.jpg') no-repeat 50% ;
    background-size: cover;
    color: #222;
}

.slide[data-state=active] {
  display: block;
}

.indicators {
  visibility: hidden;
}

.services {
  text-align: center;
  margin: 2em auto;
}

.services h2, #contact h2 {
  font-family: Open sans condensed, Helvetica, Arial, sans-serif;
}

.row {
  display: flex;
  margin: 2em auto;
  margin-bottom: 3em;
}

.row .column {
  flex: 25%;
  padding: 1em;
  margin: auto 4.16%;
  background: #e2e2ff;
  border-radius: 25%;
  transition: 0.3s ease-in-out;
}

.column:hover {
  box-shadow: -1px -6px 36px -3px rgba(128,128,128,1);
  transform: rotateX(10deg);
}

.services i {
  background: rgba(0,0,0,0);
  color: var(--sndblue);
  border-radius: 50%;
  transition: 0.3s ease-in-out;
}

.column:hover i {
  transform: rotateX(-30deg);
  font-size: 30px;
}

.column h3 {
  margin: 1em auto;
  text-align: left;
}

.column .large {
  font-size: 40px;
}

.column p {
  text-align: justify;
  font-size: 18px;
  line-height: 30px;
  /* width: 90%; */
  padding-bottom: 10px;

}

/* Inspiring */
.security {
  display: flex;
  width: 100%;
  height: auto;
  justify-content: center;
  align-items: center;
  margin-top: 3em;
  margin-bottom: 3em;
}

.security::after, .row::after {
  content: "";
  display: flex;
  clear: both;
}

.image {
  flex: 45%;
  margin-left: 5%;
  height: 70vh;
  background: url('./img/security.svg') no-repeat 50%;
  background-size: cover;
  border-radius: 15px;
  float: left;
}

.text {
  flex: 45%;
  float: left;
  margin-right: 5%;
  margin-left: -4em;
  font-size: 16px;
  padding: 10px;
  line-height: 30px;
  background: #f0f0ff;
  border-radius: 10px 0px 0px 10px;
}

.text h2 {
  padding: 0.5em 5px;
}

.text p {
  padding-left: 30px;
}

.text p span {
  color: var(--sndblue);
  font-weight: 600;
}

#contact {
  background: #f0f0ff;
  height: 100vh;
}

.back, .holder {
  float: left;
}

.back {
  width: 60%;
  background: url('./img/smart_home.svg') no-repeat 50%;
  height: 100vh;
  border-radius: 10vh 50vh 30vh 20vh;
}

.holder {
  border-radius: 50vh 0px 0px 50vh;
  width: 40%;
  height: 100vh;
  display: flex;
  background: #e2e2ff;
  text-align: center;
  align-items: center;
  justify-content: center;
}

.holder form {
  width: 80%;
  position: relative;
}

.holder form h2 {
  color: #333;
}

.holder .input-container {
  display: flex;
  align-items: center;
  background: #fff;
  padding: 7px;
  margin: 1em;
  line-height: 25px;
  border-radius: 25px;
}

.holder form i {
  font-size: 35px;
  color: #666;
}

.holder form input, .holder form textarea {
  width: 80%;
  border: none;
  font-size: 20px;
  padding-left: 10px;
  outline: none;
}

.holder form textarea {
  resize: none;
  font-family: Helvetica;
}

.recaptcha {
  padding: 7px;
  width: 60%;
  margin-bottom: 1em;
  margin-left: 20%;
}

.btn:before {
  content:"";
  display: flex;
  clear: both  ;
}

.btn-container {
  display: flex;
  justify-content: center;
}

.btn {
  font-weight: 600;
  width: 6em;
  height: 40px;
  border-radius: 40px;
  border: none;
  background: #6c63ff;
  color: #fff;
  letter-spacing: 1px;
  outline: none;
  transition: 0.5s ease-in-out;
  cursor: pointer;
}

.btn:hover {
  background: #5249ee;
}

footer {
  text-align: center;
  font-size: 20px;
  height: 7em;
  background: #f0f0ff;
  color: #333;
  margin-top: 3em;
}

.footer-container {
  text-align: center;
  width: 70%;
  margin-top: 2em;
  margin-left: 15%;
  height: auto;
  background: #e2e2ff;
  border-radius: 400% 400% 0 0/ 800% 800% 0px 0px;
}

footer .social {
  padding-top: 1em;
}

footer .copy {
  padding-top: 1em;
  margin-bottom: 0;
  font-size: 16px;
}

footer .copy p{
  padding-bottom: 10px;
}

.icon-container {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 1em;
}

.icon-container i {
  margin-right: 5px;
}

footer img{
  width: 22px;
  height: 22px;
  margin-left: 5px;
  transition: 0.7s;
  opacity: 0.8;
}

footer img:hover{
  opacity: 0.3;
}

footer .copy a{
  font-family: "Open sans Condensed" ;
  color: var(--sndblue);
  text-decoration: none;
}

@media only screen and (max-width: 768px) {
  .nav-container {
    position: relative;
  }

  .nav-menu {
    display: grid;
    grid-template-columns: auto;
    background: var(--brightred);
    margin: 0;
    width: 100%;
    position: absolute;
    top: 80px;
    left: -100%;
    opacity: 0;
    transition: 0.5s ease;
  }

  .nav-menu.active {
    background: var(--sndblue);
    z-index: 1;
    left: 0;
    opacity: 1;
    transition: all 0.5s ease;
  }

  .nav-links {
    text-align: center;
    line-height: 60px;
    width: 100%;
    display: table;
  }

  .nav-links:hover {
    color: #aaa;
    transition: all 0.5s ease-in-out;
  }

  .navbar {
    width: 100%;
  }

  #mobile-menu {
    position: absolute;
    top: 20%;
    right: 5%;
    transform: translate(5%, 20%);
  }

  .menu-toggle .bar {
    display: block;
    cursor: pointer;
  }

  .menu-toggle:hover {
    cursor: pointer;
  }

  #mobile-menu.is-active .bar:nth-child(2) {
    opacity: 0;
  }

  #mobile-menu.is-active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }

  #mobile-menu.is-active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }

  .slide {
    font-size: 30px;
    padding-right: 15px;
  }
  .slide h2 {
    margin-top: 4em;
    padding: 10px;
    line-height: 70px;
  }

  .row {
    display: block;
  }

  .row .column {
    width: 80%;
    margin-left: 10%;
    margin-bottom: 1.5em;
    /* padding-bottom: 10px; */
  }

  .column p {
    font-size: 18px;
    margin-bottom: 1em;
  }

  .security {
    display: block;
  }

  .image {
    width: 90%;
    margin-right: 5%;
    height: 30vh;
    border-radius: 15px 15px 0px 0px;
  }

  .text {
    width: 75%;
    margin-left: 12.5%;
    /* margin-top: -2em; */
    padding-top: 1em;
    /* background: #e2e2ff; */
    border-radius: 10px;
  }

  .text h2 {
    padding:5px;
    padding-left: 0;
  }

  .text p {
    padding-left: 0;
  }

  .back, .holder {
    float: none;
  }

  .back {
    width: 100%;
    height: 50vh;
    background-size: contain;
    border-radius: none;
  }

  .holder {
    width: 100%;
    height: 50vh;
    font-size: 16px;
    background: #e3e3ff;
    border-radius: 50vh;
    margin-top: 2em;
  }

  .content .recaptcha {
    width: auto;
    margin-left: auto;
  }

  footer {
    margin-top: 4em;
  }

  .footer-container {
    width: 100%;
    margin-left: 0;
    font-size: 16px;
  }

}

@media screen and (min-width: 768px)  and (max-width: 992px){

  .image {
    height: 60vh;
    margin-left: 5%;
  }

  .text {
    margin-right: 0;
  }

  .text p {
    padding-left: 10px;

  }

}

@media screen and (min-width: 576px) and (max-width: 768px){

  .security {
    display: block;
  }

  .image {
    height: 60vh;
  }

  .row .column {
    width: 40%;
    float: left;
    margin-left: 5%;
    border-radius: 15%;
  }

  .row .column:nth-child(3) {
      margin-left: 30%;
  }

}

@media screen and (max-width: 576px) {
  .text {
    font-size: 16px;
  }
}
